import 'package:flutter/material.dart';

class RoundedContainer extends StatefulWidget {
  static String tag = '/RoundedContainer'

  final double? height;
  final double? width;
  final String? text;
  final Color? color;
  final Color? textColor;

  RoundedContainer({this.height, this.width, this.text, this.color, this.textColor});

  @override
  RoundedContainerState createState() => RoundedContainerState();
}

class RoundedContainerState extends State<RoundedContainer> {
  @override
  void initState() {
    super.initState();
    init();
  }

  Future<void> init() async {
    //
  }

  @override
  void setState(fn) {
    if (mounted) super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      height:widget.height ?? 200,
      width:widget.width ?? 200,
      decoration: BoxDecoration(
        shape:BoxShape.circle,
        color:  widget.color ?? Colors.blue,
      ),
      child: Text(widget.text ?? '',style:TextStyle(color: widget.textColor ?? Colors.white)),
    );
  }
}